Bug 808911 - Request for QScintilla version for Python3
Request for QScintilla version for Python3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PyQt-qscintilla (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 12:31 EDT by Paweł Wysocki
Modified: 2014-02-13 22:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-13 22:49:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paweł Wysocki 2012-04-01 12:31:53 EDT
Description of problem:
I have tried to install Eric5 development IDE for PyQt4 and Python 3. Unfortunately the only available version of QScintilla bindings was for Python 2.x. I have downloaded rpm package for openSuse (http://pkgs.org/opensuse-factory/opensuse-oss-x86_64/python3-qscintilla-2.6.1-1.1.x86_64.rpm.html). For my 64-bit version of Fedora I had to move Qsci.so file from /usr/lib/python3.2/site-packages/PyQt4/ to /usr/lib64/python3.2/site-packages/PyQt4/.

Version-Release number of selected component (if applicable): 2.6.1

How reproducible:
Try to install Eric5 development IDE (http://eric-ide.python-projects.org/)

Expected results:
New package for Python3

Additional info:
Site of QScintilla - http://www.riverbankcomputing.com/software/qscintilla/intro
Comment 1 Fedora End Of Life 2013-04-03 10:52:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Christopher Meng 2014-02-13 22:49:30 EST
This package is a part of PyQt now.

Note You need to log in before you can comment on or make changes to this bug.